# Remove your reaction from a message

Source: <https://everruns.com/docs/api/operations/remove_message_reaction/>

[Docs](https://everruns.com/docs/)/[API reference](https://everruns.com/docs/api/)/[Sessions & workspaces](https://everruns.com/docs/api/groups/sessions-workspaces/)/Remove your reaction from a message

# Remove your reaction from a message

Preview

Take your emoji reaction off a message. Removing one that is not there changes nothing. The history is kept in the session’s events.

Public APIEverruns Cloud and self-hosted Platform

DELETE`/v1/sessions/{session_id}/messages/{message_id}/reactions/{emoji}`

See [authentication](https://everruns.com/docs/sre/runbooks/authentication/) for credentials and permissions.

## Parameters

### Path Parameters

**session_id**

required

string

Prefixed public identifier

**message_id**

required

string

Prefixed public identifier

**emoji**

required

string

Prefixed public identifier

## Responses

200Success

### 200

Success

Media typeapplication/json

Result of adding or removing a reaction.

object

**changed**

required

False when the message already was in that state.

boolean

**emoji**

required

string

**message_id**

required

Message the reaction is on (`message_...`).

string

**reacted**

required

Whether the reaction is on the message now.

boolean

### Example

```json
{
  "emoji": "👍",
  "message_id": "message_01933b5a00007000800000000000001"
}
```

404Session or message not found

### 404

Session or message not found

FetchcURL

Request

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/messages/example/reactions/example';
const options = {method: 'DELETE'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

Request

```sh
curl --request DELETE \
  --url https://app.everruns.com/api/v1/sessions/example/messages/example/reactions/example
```

Additional language examples require JavaScript. The default request example is available above.

200404

200 · Success

```json
{
  "changed": true,
  "emoji": "👍",
  "message_id": "message_01933b5a00007000800000000000001",
  "reacted": true
}
```

404 · Session or message not found

No response body example is declared for this status.

## Matching endpoints